## 2.2.7
* Bug fix - Android losing player state upon returning from another page.

## 2.2.6
* Bug fix - Propagating playback error events.

## 2.2.5
* Native Android SDK version updated to 1.19.7.
* Native iOS SDK version updated to 2.4.1.
* Bug fixes.

## 2.2.4
* Updated example code.
* Bug fix - iOS audio session closure.

## 2.2.3
* Added example code.
* Added callback for picture in picture mode event.
* `PlaybackSpeedOptions` renamed to `defaultPlaybackSpeedOptions`

## 2.2.2
* Added support to download media without audio.
* Upgraded exoplayer dependency to 2.18.5.

## 2.2.1
* Fixed iOS build issue.

## 2.2.0
* New UI for built-in player controls.
* Added support for media download and offline playback.
* Native Android SDK version updated to 1.19.2.
* Native iOS SDK version updated to 2.4.0.

## 2.1.1
* Fixed behaviour of `EmbedInfoOptions.resumePosition` parameter.
* Fixed iOS playback issue with app restart in debug mode.
* Native Android SDK version updated to 1.19.1.

## 2.1.0
* Fixed iOS playback issue related to disposed player.
* Native Android SDK version updated to 1.19.0.
* Added API to track additional properties 'totalPlayed' and 'totalCovered'.

## 2.0.1
* Fixed player state management across interruptions.
* Fixed controller disposed issue.
* iOS playback issue on back press fixed.

## 2.0.0
* Fixed disabling and selecting subtitles.
* Fixed playback speed options.
* Native Android SDK version updated to 1.18.1.
* Native iOS SDK version updated to 2.2.0.

## 1.1.1
* Fixed auto play and transparent background issue.

## 1.1.0
* Fixed player controller disappearance on iOS
* Added option to disable player controls

## 1.0.0
* Fixed scrubbing issue with VdoPlayer UI
* Native SDK VdoFramework version updated to 2.1.1

## 1.0.0-beta.7
* Flutter 3.0.0 compatibility
* iOS Framework updated to 2.1.2
* Android Native lib updated to 1.14.1
* Updated outdated dependencies

## 1.0.0-beta.6
* Notes text removed from README
* Updated outdated dependencies
* Code changes suggested by Flutter Pub Dev
* Forward/Backword icon change

## 1.0.0-beta.5
* iOS Support added

## 1.0.0-beta.4
* On Events callback
* On Error callback
* Back from full-screen goes back to previous page instead of exit fullscreen
* Fixed some deprecated methods
* Improved documentation

## 1.0.0-beta.3
* Callback option available: onError
* Removed transparent background on loading video playback
* Displaying error message along with error code

## 1.0.0-beta.2
* Speed control UI option
* Forward/Backward skip configuration option
* Slider Error fixed when app goes to background and return to foreground

## 1.0.0-beta.1
* Upgrade VdoCipher native android sdk dependency to 1.10.0
* Remove LoadResult class
* Add track-selection APIs
* Upgrade library to null-safety

## 1.0.0-alpha.3
* Upgrade VdoCipher native android sdk dependency to 1.8.1

## 1.0.0-alpha.2
* Added embed info option to control adb debugging restriction

## 1.0.0-alpha.1
* Initial release of the VdoCipher flutter plugin (for android only)
* Embed videos from your VdoCipher dashboard into your flutter apps, and specify multiple playback options
