/// Video Duration Time formatter
String vdoTimeFormatter(int time) {
  Duration duration = Duration(seconds: time);

  final timeArr = [duration.inMinutes, duration.inSeconds];
  if (duration.inHours > 0) {
    timeArr.insert(0, duration.inHours);
  }

  return timeArr
      .map((seg) => seg.remainder(60).toString().padLeft(2, '0'))
      .join(':');
}
