import 'package:vdocipher_flutter/src/offline/download_options.dart';
import 'package:vdocipher_flutter/src/types/media_info.dart';
import 'package:vdocipher_flutter/src/types/track/audio_track.dart';
import 'package:vdocipher_flutter/src/types/track/video_track.dart';

class InternalDownloadOption extends DownloadOptions {
  final String otp;
  final String playbackInfo;
  final String? customPlayerId;

  InternalDownloadOption(
      String? mediaId,
      MediaInfo mediaInfo,
      List<AudioTrack> allAudio,
      List<VideoTrack> allVideo,
      this.otp,
      this.playbackInfo,
      this.customPlayerId)
      : super(mediaId, mediaInfo, allAudio, allVideo);
}
