/// Video related information.
class MediaInfo {
  final String mediaId;
  final MediaInfoType type;
  final String? title;
  final String? description;
  final Duration duration;

  const MediaInfo(
      {required this.mediaId,
      required this.type,
      required this.title,
      required this.description,
      required this.duration});
}

enum MediaInfoType { streaming, offline }
