import 'dart:async';

import 'package:flutter/services.dart';

/// VdoCipher [MethodChannel] implementation
class VdocipherMethodChannel {
  static const MethodChannel _channel = MethodChannel('com.vdocipher.flutter');

  static Future<String?> get nativeAndroidLibraryVersion async {
    final String? version =
        await _channel.invokeMethod('getNativeAndroidLibraryVersion');
    return version;
  }

  static Future<String?> get nativeIOSAndroidLibraryVersion async {
    return await _channel.invokeMethod('getNativeIOSLibraryVersion');
  }
}
