import 'dart:collection';

import 'package:vdocipher_flutter/src/offline/download_selections.dart';

/// Specifications for a media download
class DownloadRequest {
  final DownloadSelections _downloadSelections;

  String? _safetyNetApiKey;

  DownloadRequest(this._downloadSelections);

  set safetyNetApiKey(String value) {
    _safetyNetApiKey = value;
  }

  static Map<String, Object?> toMap(DownloadRequest downloadRequest) {
    Map<String, Object?> downloadRequestMap = HashMap();
    downloadRequestMap['safetyNetApiKey'] = downloadRequest._safetyNetApiKey;
    downloadRequestMap['downloadSelections'] =
        DownloadSelections.toMap(downloadRequest._downloadSelections);

    return downloadRequestMap;
  }
}
